
Foreman - Bug #11833

Remove references to puppet from configuration status

09/15/2015 01:09 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Reporting   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2725

  

Description

It currently checks puppet_proxy_id, extract that to a host helper method that a plugin can extend.

Associated revisions

Revision e543c574 - 09/17/2015 03:32 AM - Stephen Benjamin

fixes #11833 - remove puppet references from config status

Revision 2a624d77 - 09/17/2015 10:59 AM - Dominic Cleal

refs #11833, #11791 - fix N+1 query during config status applicability check

Reapplies the fix from 7397bf1 which was lost in e543c57.

History

#1 - 09/15/2015 01:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2725 added

- Pull request deleted ()

#2 - 09/17/2015 03:33 AM - Dominic Cleal

- Category changed from Plugin integration to Reporting

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 63

#3 - 09/17/2015 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e543c574b9c6c7042719751c4604cd51036feb11.
